<template>
    <div
        v-if="data"
        class="page-container"
    >
        <div class="video-button-container">
            <VideoButton />
        </div>
        <div class="row mb-4">
            <div class="col-md-8">
                <div>Push Subscription Popup</div>
            </div>
            <div class="col-md-4 toggle-block-container">
                <div class="toggle-container">
                    <ToggleButton
                        v-model="data.status"
                        :font-size="12"
                        class="toggle-btn"
                        :height="24"
                        :labels="true"
                        color="rgb(45, 119, 245)"
                        @change="changeStatus(data.status)"
                    />
                    <button
                        v-b-tooltip.hover.left="'Popups on your store automatically when switched on. Helps collecting subscribers to your Push Notification List'"
                        class="help-tooltip"
                    >
                        <i class="fa fa-question-circle-o" />
                    </button>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-6">
                <div class="edit-block-container">
                    <div class="edit-block-header">
                        <router-link
                            class="edit-link-container"
                            to="/push/growth/pop-up"
                        >
                            <svg
                                fill="#337ab7"
                                xmlns="http://www.w3.org/2000/svg"
                                class="edit-icon"
                                viewBox="0 0 24 24"
                                width="22px"
                                height="48px"
                            >
                                <path
                                    d="M 18.414062 2 C 18.158062 2 17.902031 2.0979687 17.707031 2.2929688 L 15.707031 4.2929688 L 14.292969 5.7070312 L 3 17 L 3 21 L 7 21 L 21.707031 6.2929688 C 22.098031 5.9019687 22.098031 5.2689063 21.707031 4.8789062 L 19.121094 2.2929688 C 18.926094 2.0979687 18.670063 2 18.414062 2 z M 18.414062 4.4140625 L 19.585938 5.5859375 L 18.292969 6.8789062 L 17.121094 5.7070312 L 18.414062 4.4140625 z M 15.707031 7.1210938 L 16.878906 8.2929688 L 6.171875 19 L 5 19 L 5 17.828125 L 15.707031 7.1210938 z"
                                />
                            </svg>
                            Edit Subscription Popup
                        </router-link>
                    </div>
                    <div class="edit-block-body">
                        <SubCartExample
                            :notif="data.notif"
                            :welcome="data.welcome"
                        />
                    </div>
                </div>
            </div>
            <div class="col-sm-12 col-md-12 col-lg-6">
                <div class="edit-block-container">
                    <div class="edit-block-header">
                        <router-link
                            class="edit-link-container"
                            to="/push/growth/welcome-push"
                        >
                            <svg
                                fill="#337ab7"
                                xmlns="http://www.w3.org/2000/svg"
                                class="edit-icon"
                                viewBox="0 0 24 24"
                                width="22px"
                                height="48px"
                            >
                                <path
                                    d="M 18.414062 2 C 18.158062 2 17.902031 2.0979687 17.707031 2.2929688 L 15.707031 4.2929688 L 14.292969 5.7070312 L 3 17 L 3 21 L 7 21 L 21.707031 6.2929688 C 22.098031 5.9019687 22.098031 5.2689063 21.707031 4.8789062 L 19.121094 2.2929688 C 18.926094 2.0979687 18.670063 2 18.414062 2 z M 18.414062 4.4140625 L 19.585938 5.5859375 L 18.292969 6.8789062 L 17.121094 5.7070312 L 18.414062 4.4140625 z M 15.707031 7.1210938 L 16.878906 8.2929688 L 6.171875 19 L 5 19 L 5 17.828125 L 15.707031 7.1210938 z"
                                />
                            </svg>
                            Edit Welcome Popup
                        </router-link>
                    </div>
                    <div class="edit-block-body">
                        <div>
                            <WelcomeCartExample :welcome="data.welcome" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import VideoButton from "../../../components/header/VideoButton";
import SubCartExample from "../../../components/push/growth/subscription/SubCartExample";
import WelcomeCartExample from "../../../components/push/growth/Welcome/WelcomeCartExample";
import pushGrowth from '../../../mixins/push/growth.service'

export default {
    name: "Index",
    components: {WelcomeCartExample, SubCartExample, VideoButton},
    mixins: [pushGrowth],
    data() {
        return {
            data: null
        }
    },
    mounted() {
        this.getDashboard()
    },
    methods: {
        async getDashboard() {
            this.data = await this.getGrowthDashboard()
        },
        changeStatus(status) {
            this.status({status: status}).then(response => {
                this.$notify({
                    type: 'success',
                    title: 'Status Changed'
                });
            }).catch(error => {
                console.log(error)
            });
        }
    }
}
</script>

<style scoped lang="scss">

.toggle-container {
    display: flex;
    align-items: center;
}

.edit-block-body {
    display: flex;
    justify-content: center;
    align-items: center;
}

.edit-block-container {
    background-color: white;
   min-height: 300px;
}

.edit-link-container {
    display: flex;
    align-items: center;
}

.edit-icon {
    margin-right: 5px;
}

.edit-block-header {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;

}

.toggle-block-container {
    display: flex;
    justify-content: flex-end;
}

</style>
